Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class EndStateAction

    java.lang.Object
      com.bea.campaign.action.Action
          com.bea.campaign.EndStateAction

All Implemented Interfaces
  Serializable

    public class EndStateAction

extends Action

An action which supports marking a user as done in a campaign/scenario.

This understands the following initialization parameters:

- endState (optional): boolean as to whether to mark an end state

See Also
  Serialized Form

Field Summary
`protected boolean` | `endState` Does this constitute an end state.

Constructor Summary
`EndStateAction()`

Method Summary
`ScenarioService` | `getScenarioService()` Get the scenario service.
`String` | `getUserId()` Get the user id (from the event).
`void` | `init(Map params)` Initialize this action from the action parameters.
`void` | `run()` Execute this action.
`String` | `toString()`

Methods inherited from class com.bea.campaign.action.Action
`getEvent, getRandom, getRequest, getScenario, getScenarioContainer, getScenarioContainerName, getScenarioId, getScenarioName, getServiceLocator, getSession, getTimestamp, getUser, locateService, setEvent, setRandom, setRequest, setScenario, setScenarioContainer, setServiceLocator, setSession, setTimestamp, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endState

    protected boolean endState

  Does this constitute an end state.

Constructor Detail

### EndStateAction

    public EndStateAction()

Method Detail

### init

    public void init(Map params)
              throws IllegalArgumentException

  Initialize this action from the action parameters.

  Specified by:
    `init` in class `Action`
  Parameters
    `params` - the action parameters.
  Throws
    `IllegalArgumentException` - thrown on invalid action parameters.

### run

    public void run()
             throws ActionException

  Execute this action.

  This will set an end state flag for the user for the scenario in the scenario container.

  Specified by:
    `run` in class `Action`
  Throws
    `ActionException` - thrown on an error.

### getScenarioService

    public ScenarioService getScenarioService()
                                       throws javax.ejb.CreateException

  Get the scenario service.

  Throws
    `javax.ejb.CreateException` - thrown on an error getting the scenario service.

### getUserId

    public String getUserId()

  Get the user id (from the event).

  Overrides:
    `getUserId` in class `Action`
  See Also
    `ScenarioHelper.getUserId(com.bea.p13n.events.Event)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.